# simple FEP/Jarzynksi, but numerically stable for large numbers
# Nov 2015: also report 1st/2nd order cum approx, as well as variance
# var divided by n-1, agrees with var() from R
#
BEGIN {
    kt=1.9872041*300/1000;
    beta=1/kt;
}
{
    ++i;
    du=$1;
    dat[i]=du;
    sum+=du;
}

END {
    nval=i;
    averdu=sum/nval; # mean (also 1st order cumulant)
    for (i=1;i<=nval;i++) {
	dat[i]-=averdu;
	expave+=exp(-dat[i]*beta);
    }
    dda=-kt*log(expave/nval);
    # 'residual' variance
    for (i=1;i<=nval;i++) {
	var+=(dat[i]*dat[i]); # mean === zero!
    }
    var/=(nval-1);
#    print beta,var;
    printf("da = %12.3f %12.3f %12.3f %12.3f\n",
	   averdu+dda, averdu, averdu-0.5*beta*var, var);
}
