# simple FEP/Jarzynksi, but numerically stable for large numbers
#
BEGIN {
    kt=1.9872041*300/1000;
    beta=1/kt;
}
{
    ++i;
    du=$1;
    dat[i]=du;
    sum+=du;
}

END {
    nval=i;
    averdu=sum/nval;
    for (i=1;i<=nval;i++) {
	dat[i]-=averdu;
	expave+=exp(-dat[i]*beta);
    }
    dda=-kt*log(expave/nval);
    printf("da = %12.3f\n",averdu+dda);
}
